> For the complete documentation index, see [llms.txt](https://developers.polymath.network/polymesh-sdk-api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_identity_identityauthorizations.identityauthorizations.md).

# api\_entities\_Identity\_IdentityAuthorizations.IdentityAuthorizations

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [api/entities/Identity/IdentityAuthorizations](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_entities_identity_identityauthorizations.md) / IdentityAuthorizations

## Class: IdentityAuthorizations

[api/entities/Identity/IdentityAuthorizations](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_entities_identity_identityauthorizations.md).IdentityAuthorizations

Handles all Identity Authorization related functionality

### Hierarchy

* [`Authorizations`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_common_namespaces_authorizations.authorizations.md)<[`Identity`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_identity.identity.md)>

  ↳ **`IdentityAuthorizations`**

### Table of contents

#### Methods

* [getOne](#getone)
* [getReceived](#getreceived)
* [getSent](#getsent)

### Methods

#### getOne

▸ **getOne**(`args`): `Promise`<[`AuthorizationRequest`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_authorizationrequest.authorizationrequest.md)>

Retrieve a single Authorization Request targeting or issued by this Identity by its ID

**`throws`** if there is no Authorization Request with the passed ID targeting or issued by this Identity

**Parameters**

| Name      | Type        |
| --------- | ----------- |
| `args`    | `Object`    |
| `args.id` | `BigNumber` |

**Returns**

`Promise`<[`AuthorizationRequest`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_authorizationrequest.authorizationrequest.md)>

**Overrides**

[Authorizations](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_common_namespaces_authorizations.authorizations.md).[getOne](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_common_namespaces_authorizations.authorizations.md#getone)

**Defined in**

[api/entities/Identity/IdentityAuthorizations.ts:62](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Identity/IdentityAuthorizations.ts#L62)

***

#### getReceived

▸ **getReceived**(`opts?`): `Promise`<[`AuthorizationRequest`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_authorizationrequest.authorizationrequest.md)\[]>

Fetch all pending Authorization Requests for which this Signer is the target

**Parameters**

| Name                   | Type                                                                                           | Description                                                             |
| ---------------------- | ---------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------- |
| `opts?`                | `Object`                                                                                       | -                                                                       |
| `opts.includeExpired?` | `boolean`                                                                                      | whether to include expired authorizations. Defaults to true             |
| `opts.type?`           | [`AuthorizationType`](/polymesh-sdk-api-reference/docs-alpha/enums/types.authorizationtype.md) | fetch only authorizations of this type. Fetches all types if not passed |

**Returns**

`Promise`<[`AuthorizationRequest`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_authorizationrequest.authorizationrequest.md)\[]>

**Inherited from**

[Authorizations](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_common_namespaces_authorizations.authorizations.md).[getReceived](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_common_namespaces_authorizations.authorizations.md#getreceived)

**Defined in**

[api/entities/common/namespaces/Authorizations.ts:29](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/common/namespaces/Authorizations.ts#L29)

***

#### getSent

▸ **getSent**(`paginationOpts?`): `Promise`<[`ResultSet`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.resultset.md)<[`AuthorizationRequest`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_authorizationrequest.authorizationrequest.md)>>

Fetch all pending authorization requests issued by this Identity

**`note`** supports pagination

**Parameters**

| Name              | Type                                                                                                |
| ----------------- | --------------------------------------------------------------------------------------------------- |
| `paginationOpts?` | [`PaginationOptions`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.paginationoptions.md) |

**Returns**

`Promise`<[`ResultSet`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.resultset.md)<[`AuthorizationRequest`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_authorizationrequest.authorizationrequest.md)>>

**Defined in**

[api/entities/Identity/IdentityAuthorizations.ts:18](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Identity/IdentityAuthorizations.ts#L18)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_identity_identityauthorizations.identityauthorizations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
